<?php
/* Logaholic Web Analytics software             Copyright(c) 2005-2016 Logaholic B.V.
 *                                                               All rights Reserved.
 * This code is subject to the Logaholic license. Unauthorized copying is prohibited.
 * support@logaholic.com                         http://www.logaholic.com/License.txt
*/ 
// $accessControl = array(
// 	"ProfileRequired" => true
// );
require_once '../../AccessControl.php';
include "index.php";

$dashboards = array();
$categories = array();

# Loop through the dashboards
foreach ($profile->dashboards as $v) {
	$dash = json_decode($v["Value"],true);
	$dash["label"] = $dash["name"];

	$dashboards[$dash["name"]] = $dash;
}

# Now add the reports to the data
foreach ($reports as $label => $report) {

	# Add a name key to the reports array
	$reports[$label]["name"] = constant($label);
	
	if (isset($report['hidden']) && $report['hidden'] == true) {
    	continue; 
    }

	if(!empty( $report['Category'])){
		$cat = $report['Category'];
		
		$categories[ $cat ]['name']  = constant($cat);
		$categories[ $cat ]['data'][$label] = constant($label);
	
	}
}

$dateformat = GetCustomDateFormat("JS");
# Echo result

$str = json_encode(array(
	'languages' => $lang_labels,
	'profiles' => $plist,
	'pcount' => $pcount,
	'available_langs' => $available_langs,
	'lang' => $lang,
	'getdatafromstore' => $getdatafromstore,
	'session' => $session,
	'hl' => $hl,
	'ss' => $ss,
	'conf' => $_REQUEST["conf"],
	'categories' => $categories,
	'reports' => $reports,
	'dashboards' => $dashboards,
	'dateformat' => $dateformat,
	'profile' => $profile,
	'version_check' => $must_load_version_check,
	'from_date' => $from,
	'to_date' => $to,
	'minimumDate' => date( implode($profile->dateFormat) , $from),
	'maximumDate' => date( implode($profile->dateFormat) , $to)
));
ob_start();
echo $str;
print_gzipped_output();
?>