<?php
/* Logaholic Web Analytics software             Copyright(c) 2005-2016 Logaholic B.V.
 *                                                               All rights Reserved.
 * This code is subject to the Logaholic license. Unauthorized copying is prohibited.
 * support@logaholic.com                         http://www.logaholic.com/License.txt
*/ 
/**
* @desc This report displays a visitors per day table 
*/
if(!defined('APP_INCLUDE')){ die('invalid inclusion'); }

class TwitterCore extends Report {
    
	function Settings(){
		$this->IgnReIm = 1; # Never ever ask for reimport data
		if(isset($this->account)) {
			$this->fileNameExpension = ".".$this->account;
			$this->addlabel = $this->account;
		}
	}

    function getAcounts(){
		$accounts = $this->profile->GetOtherSettings("twitterAccounts",false);
		if($accounts != false){ $accounts = json_decode($accounts,true); }
		return $accounts;
	}

	function DefineReport(){		
		echo "<div class='col-sm-6'>";
			$this->addForm();
		echo "</div>";

		echo "<div class='col-sm-6'>";
			$this->remForm();
		echo "</div>";
		echo "<div style='clear:both;'></div>";
	}

	function GetDataFromDb(){
		# if no account is set return false
   		if(empty($this->account)){
   			return array();
   		}

   		$data = array();
   		$result = $this->TwitterCall("stats",$this->account);   		
   		$data[0][0] = date("d-M-Y D");
   		$data[0][1] = $result[0]['user']['followers_count'];
   		$data[0][2] = $result[0]['user']['friends_count'];
   		$data[0][3] = $result[0]['user']['statuses_count'];
   		return $data;
	}
	
	function TwitterCall($request, $q, $q2 = ""){		
		$twitter = file_get_contents("http://software.logaholic.com/twitter/?request={$request}&q={$q}&q2={$q2}");
		return json_decode( $twitter , true);
	}

	function addForm(){
		if(isset($_REQUEST["accountName"])){
			$val = $_REQUEST["accountName"];
		}else{ $val = ""; }

		echo "<form method='POST'>";
			echo "<div class='form-group'>";
				echo "<label>". _ADD_REMOVE_TWITTER ."</label>";
				echo "<input class='form-control twitterAccountName' type='text' name='accountName' value='$val' />";
			echo "</div>";
			echo "<div class='form-group'>";
				echo "<input type='hidden' name='conf' value='{$this->conf}' />";
				echo "<input type='hidden' name='labels' value='{$this->label_constant}' />";
				echo "<input type='hidden' name='action' value='start' />";
				echo "<button class='form-control btn btn-primary'>". _ADD_NEW_ACCOUNT ."</button>";
			echo "</div>";
		echo "</form>";

		if(isset($_REQUEST["accountName"])){
			$this->addAccount($_REQUEST["accountName"]);
		}
	}

	function addAccount($account){
		if(!$this->checkDoubleAccounts($account)){
			$accs = $this->getAcounts();
			if($accs == false){
				$accs[] = $account;
			}else{
				array_push($accs,$account);
			}
			$this->profile->SetOtherSettings("twitterAccounts",json_encode($accs));
		}else{
			echo _ACCOUNT_STORED;
		}
	}

	function checkDoubleAccounts($account){
		$accs = $this->getAcounts();
		if(!empty($accs)) {
			foreach($accs as $k => $v){
				if($v == $account){
					return true;
				}
			}
		}
		return false;
	}

	function remForm(){
		if(isset($_REQUEST["rem"])){
			$this->remAccount($_REQUEST["rem"]);
		}

		$url = "definereport.php?conf={$this->conf}&labels={$this->label_constant}&action=start&nohtml=1";

		$accs = $this->getAcounts();
		if(!$accs){
			
		}else{
			echo "<ul class='twitter-remove-list list-unstyled'>";		
			foreach($accs as $k => $v){
				echo "<li>$v <a href='{$url}&action=remform&rem=$k'><i class='fa fa-times'></i></a></li>";
			}
			echo "</ul>";
		}
	}

	function remAccount($num){
		$accs = $this->getAcounts();
		unset($accs[$num]);
		$this->profile->SetOtherSettings("twitterAccounts",json_encode($accs));
	}
	
	# Select/Add/Remove twitter account
	function DisplayCustomForm(){
		global $session;
		$accounts = $this->getAcounts();
		
		echo "<div class='form-group'>";
		
		if(!$accounts){
			echo _NO_TWITTER_FOUND;
		}else{
			echo "<label>"._PLEASE_SELECT_TWITTER_ACCOUNT."</label>";
			echo "<select id='account' class='report_option_field form-control'>";
			foreach($accounts as $k => $v){
				echo "<option value='$v'>$v</option>";
			}
			echo "</select>";
		}
		echo "</div>";

		if($session->canEditProfiles()){
			echo "<div class='form-group'><a href='definereport.php?conf={$this->conf}&labels={$this->label_constant}&action=start' class='btn btn-primary open_iframe_window'>". _ADD_REMOVE_TWITTER_LINK ."</a></div>";
		}
	}

	function DisplayReport() {
		if(empty($this->account)){
			echoNotice($this->SettingsButton()._PLEASE_SELECT_TWITTER_ACCOUNT);
			return false;
		}
		parent::DisplayReport();
	}

	function UpdateStats($from = '', $to = '',$print = 2) {
		if(empty($from)) { $from = $this->from; }
		if(empty($to)) { $to = $this->to; }


		$accounts = $this->getAcounts();
		if(!$accounts){
			return false;
		} 
		
		foreach ($accounts as $k => $v) {
			$this->account = $v;
			$this->fileNameExpension = ".".$this->account;
			$this->createDataFiles(mktime(0, 0, 0, date('m', $from), date('d', $from), date('Y', $from)), mktime(23, 59, 59, date("m", $to), date("d", $to), date("Y", $to)), $print);
		}		
		
		return false;
	}	
}
?>
